.parent{
    height: 300px;
    border: 2px solid red;
    position: relative;
}
.parent__item{
    width: 300px;
    height: 200px;
    background-color: cornflowerblue;
    position: absolute;
    border: 5px solid red;
}
.parent__item:nth-child(1){
left: 0;
}
.parent__item:nth-child(2){
left: 100px;
}
.parent__item:nth-child(3){
left: 200px;
}
.parent__item:nth-child(4){
left: 300px;
}
.parent__item:nth-child(5){
left: 400px;
}
.parent__item:hover{
    height: 100%;
}